#!/usr/local/bin/perl
#
#Placeholder package
#
#HPC scripts will get a child subclass Glue::HPCC::Cluster 
#for the specific cluster.  
#The get_hpcUtil method will return a child class of Glue::HPCC::ClusterUtil
#for the specific scheduler used by the cluster.
#
#This is the child class of Glue::HPCC::ClusterUtil for Slurm
#
#Defines two class methods:
#
#	user => returns Glue::HPCC::ClusterUtil::Slurm::User
#	project => returns Glue::HPCC::ClusterUtil::Slurm::Project

package Glue::HPCC::ClusterUtil::Slurm;
use strict;
use warnings;
use base qw(Glue::HPCC::ClusterUtil);

use Glue::HPCC::ClusterUtil::Slurm::Project;
use Glue::HPCC::ClusterUtil::Slurm::User;

#We inherit everything

1;

