
CREATE TABLE hpcc_shared.person
(	ppl_pkey SERIAL PRIMARY KEY,
	username varchar(16) NOT NULL,
	fullname varchar(255),
	email varchar(255) NOT NULL,
	uid int NOT NULL, /* So can track after account deleted */
	active boolean DEFAULT true, /* i.e. still have Glue account, etc. */
	/* Min # hours between account alert emails: for pocs and coords.
	   If NULL, use a hardcoded default
	*/
	min_hrs_btwn_alerts integer, 
        created TIMESTAMP NOT NULL,
        lastupdated TIMESTAMP NOT NULL, /* Last action re alloc amt, etc */
	UNIQUE (username),
	UNIQUE (uid)
);


	
	
	
